1. Optimization
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
    • Create customers
    • Update customers
    • Delete customers
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
      POST
    • Run optimization for one or multiple dates
      POST
    • Run optimization for one or multiple existing routes
      POST
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
      POST
    • Run optimization for a date range
      POST
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Optimization

Optimization Elements

Dates#

dates - Dates for optimization

Drivers#

drivers - Which drivers are included in the optimization
_id - The driver’s _id
startLocation - Contains fields used to specify the start location of the driver.
coordinates - Contains the location coordinates. Format: [longitude, latitude]
endLocation - Contains fields used to specify the end location of the driver.
coordinates - Contains the location coordinates. Format: [longitude, latitude]
vehicleInfo
capacity - Vehicle capacity, specified as an object with values given for any/all configured dimensions (Configuration -> Dimensions). Configuration of multiple dimensions is available to customers using the Professional plan or higher.
capabilities - Attributes that determine if a vehicle can carry out a specific task
category - Vehicle category: - 1: bicycle - 2: motorcycle - 3: car - 4: pickup truck - 5: van - 6: large van - 7: truck - 8: large truck
skills - a set of driver attributes that determine if a driver can execute a task that contains the necessary skills
speedFactor - Decimal factor which specifies how the speed of this driver differs from the baseline.. Example: 2.0 means 2x faster, while 0.5 means 2x slower.
routeStopLimit - Limits the maximum number of stops that a route for this driver can contain, excluding the start and end locations
routeDistanceLimit - Limits maximum total route distance for this driver.
routeDurationLimit - Limits maximum total route duration for this driver.
routeTravelLimit - Limits maximum total travel time during this driver’s route.
overtimeTolerance - Specifies the allowed time after the end of the driver's schedule that routes can extend to if it is more optimal.
schedule - Daily schedule for single-day routes. Enum: Mon, Tue, Wed, Thu. Fri, Sat, Sun
Mon
timeWindows - The time the driver starts their route
breaks - Stores information about when the break should occur and how long it’s meant to last
timeWindow - the interval within which the break can occur
start - Value: 600
end - Value: 720
duration - Value: 30
Tue
timeWindows
multiDaySchedule - Schedule for routes that are meant to span over multiple days
maxMultiDayRouteDays -The maximum number of days a driver can be on the road
cost - Includes driver cost information

Tasks#

tasks - Contains relevant task information
_id - The _id of the task
date - Task date in YYYYMMDD number format. For updating, please use the moveToDate API route, which takes into consideration the task’s assignment, affected routes, and other factors.
dateRange - The range within which tasks can be executed
startDate - The start date of the range
endDate - The end date of the range
allowedWeekDays - The days of the week during which tasks can be executed
timeWindows - Time windows in which the driver needs to arrive at this task’s location. The values are numbers representing minutes from the start of the day (e.g., 8:00 am = 8 * 60 = 480, 12:30 pm = 750).
pickup - Information about the pickup location
location - Pickup location.
coordinates - Location coordinates. Format: [longitude, latitude]
timeWindows - Interval during which the driver needs to be at the location
setupDuration - Setup and service duration define the time needed at pickup (e.g., loading items). The setup applies only to the first task at a location. Specified values override the default set in Configuration → Optimization.
serviceDuration - Setup and service duration define the time needed at pickup (e.g., loading items). The setup applies only to the first task at a location.
location - Contains fields used to specify the location of the task.. Location is optional if this task is a pickup (in which case pickup location must be set). If the configuration assumes a mandatory delivery step, and no location is set, it will default to your first configured depot location.
coordinates - Location coordinates. Format: [longitude, latitude]
size - Task size, specified as an object with values given for any/all configured dimensions (Configuration → Dimensions). Configuration of multiple dimensions is available to customers using the Professional plan or higher.
skills - Specifies skills that a driver is required to have to be matched to this task.
capabilities - Specifies capabilities that a vehicle is required to have to be matched to this task.
setupDuration - Setup and service duration define the time needed at pickup (e.g., loading items). The setup applies only to the first task at a location. Specified values override the default set in Configuration → Optimization.
serviceDuration - Setup and service duration define the time needed at pickup (e.g., loading items). The setup applies only to the first task at a location. Specified values override the default set in Configuration → Optimization.
priority - number [0 … 1000] on base engine, on Advanced engine number [0 … 10000]. Task priority — tasks with higher priority will be fitted into routes before others in cases when not all tasks can be assigned.

Options#

options - Contains the information about the route options
routeStopLimit - Limits how many stops the driver can make on their route.
routeDistanceLimit - Limits the total route length
routeDurationLimit - Limits the time duration of the route.
etaScalingFactors - A number that shows the number of times the traffic is faster or slower compared to the one calculated by eLogii.
earlinessTolerance - How early the driver can be at the location
latenessTolerance - How late the driver can be at the location
overtimeTolerance - How much the driver can go into overtime
ignoreCurrentTime - Should the current time be ignored when optimizing for the same day
Modified at 2025-12-04 15:22:35
Previous
deleteZones_id
Next
Run optimization for provided data set
Built with